	// Funzione che visualizza i risultati in basso 
  
  function risultati(obj)
  {  
	  // Firma digitale 
	  if (obj.FIRMA.value == "     Agostino Frosini  -  Javascript Software 2012  -") 
		  {
			  // Dichiarazioni delle variabili 	
			  giorno = myParseFloat(obj.giorno.value);
			  if (giorno >31 | giorno <= 0)
				  {
					  alert("\n GIORNO ERRATO: \n\n DATI VALIDI DA 1 A 31 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  mese = myParseFloat(obj.mese.value);
			  if (mese >12 | mese <= 0)
				  {
					  alert("\n MESE ERRATO: \n\n DATI VALIDI DA 1 A 12 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  anno = myParseFloat(obj.anno.value);
			  
			  if (anno ==0)
				  {
					  alert("\n ANNO ERRATO: \n\n L'ANNO CIVILE NON PREVEDE L'ANNO ZERO \n\n CLICCA SU RESET E RIPROVA"); 
					  return;
				  }
			  if (anno <0)
				  {
					  anno = anno + 1; 	
				  }
			  ore = myParseFloat(obj.ore.value); 
			  if (ore >=24 | ore < 0)
				  {
					  alert("\n ORE LOCALI ERRATE: \n\n DATI VALIDI DA 0 A 23 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  minuti = myParseFloat(obj.minuti.value); 
			  if (minuti >=60 | minuti < 0)
				  {
					  alert("\n MINUTI LOCALI ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  secondi = myParseFloat(obj.secondi.value); 
			  if (secondi >=60 | secondi < 0)
				  {
					  alert("\n SECONDI LOCALI ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  ore2 = myParseFloat(obj.ore2.value); 
			  if (ore >=24 | ore < 0)
				  {
					  alert("\n ORE UTC ERRATE: \n\n DATI VALIDI DA 0 A 23 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  minuti2 = myParseFloat(obj.minuti2.value); 
			  if (minuti >=60 | minuti < 0)
				  {
					  alert("\n MINUTI UTC ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  secondi2 = myParseFloat(obj.secondi2.value); 
			  if (secondi >=60 | secondi < 0)
				  {
					  alert("\n SECONDI UTC ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  tv_g = myParseFloat(obj.tv_g.value);
			  if (tv_g >=360 | tv_g < 0)
				  {
					  alert("\n GRADI DI TV ERRATI: \n\n DATI VALIDI DA 0 A 359 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  tv_p = myParseFloat(obj.tv_p.value);
			  if (tv_p >=60 | tv_p < 0)
				  {
					  alert("\n PRIMI DI TV ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  tv_s = myParseFloat(obj.tv_s.value);
			  if (tv_s >=60 | tv_s < 0)
				  {
					  alert("\n SECONDI DI TV ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  iv_g = myParseFloat(obj.iv_g.value);
			  if (iv_g >=360 | iv_g < 0)
				  {
					  alert("\n GRADI DI IV ERRATI: \n\n DATI VALIDI DA 0 A 359 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  iv_p = myParseFloat(obj.iv_p.value);
			  if (iv_p >=60 | iv_p < 0)
				  {
					  alert("\n PRIMI DI IV ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  iv_s = myParseFloat(obj.iv_s.value);
			  if (iv_s >=60 | iv_s < 0)
				  {
					  alert("\n SECONDI DI IV ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  vd_s = myParseFloat(obj.vd_s.value);
			  if (vd_s >=60 | vd_s <= -60)
				  {
					  alert("\n SECONDI DI v ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  d_g = myParseFloat(obj.d_g.value); 
			  if (d_g >= 90 | d_g <= -90)
				  {
					  alert("\n GRADI DECLINAZIONE ERRATI: \n\n DATI VALIDI DA -89 A +89 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  d_p = myParseFloat(obj.d_p.value); 
			  if (d_p >= 60 | d_p <= -60)
				  {
					  alert("\n PRIMI DECLINAZIONE ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  d_s = myParseFloat(obj.d_s.value);
			  if (d_s >= 60 | d_s <= -60)
				  {
					  alert("\n SECONDI DECLINAZIONE ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  pp_s = myParseFloat(obj.pp_s.value);
			  if (pp_s >= 60 | pp_s <= -60)
				  {
					  alert("\n SECONDI PARTI PROPORZIONALI ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  pp1_s = myParseFloat(obj.pp1_s.value);
			  if (pp1_s >= 60 | pp1_s <= -60)
				  {
					  alert("\n SECONDI PARTI PROPORZIONALI ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  lat_G = myParseFloat(obj.lat_G.value); 
			  if (lat_G >= 90 | lat_G <= -90)
				  {
					  alert("\n GRADI LATITUDINE ERRATI: \n\n DATI VALIDI DA -89 A +89 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  lat_M = myParseFloat(obj.lat_M.value); 
			  if (lat_M >= 60 | lat_M <= -60)
				  {
					  alert("\n PRIMI LATITUDINE ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  lat_S = myParseFloat(obj.lat_S.value);
			  if (lat_S >= 60 | lat_S <= -60)
				  {
					  alert("\n SECONDI LATITUDINE ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  long_G = myParseFloat(obj.long_G.value); 
			  if (long_G >= 180 | long_G <= -180)
				  {
					  alert("\n GRADI LONGITUDINE ERRATI: \n\n DATI VALIDI DA -179 A +179 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  long_M = myParseFloat(obj.long_M.value); 
			  if (long_M >= 60 | long_M <= -60)
				  {
					  alert("\n PRIMI LONGITUDINE ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  long_S = myParseFloat(obj.long_S.value); 
			  if (long_S >= 60 | long_S <= -60)
				  {
					  alert("\n SECONDI LONGITUDINE ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  qm = myParseFloat(obj.qm.value);
			  ar_teo = myParseFloat(obj.ar_teo.value);
			  if (ar_teo >= 400 | ar_teo < 0)
				  {
					  alert("\n GRADI AZIMUT RILEVATO ERRATI: \n\n DATI VALIDI DA 0 A +400 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  ar1_g = myParseFloat(obj.ar1_g.value);
			  if (ar1_g >= 180 | ar1_g <= -180)
				  {
					  alert("\n GRADI AZIMUT RILEVATO ERRATI: \n\n DATI VALIDI DA -179 A +179 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  ar1_p = myParseFloat(obj.ar1_p.value);
			  if (ar1_p >= 60 | ar1_p <= -60)
				  {
					  alert("\n PRIMI AZIMUT RILEVATO 1 ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  ar1_s = myParseFloat(obj.ar1_s.value);
			  if (ar1_s >= 60 | ar1_s <= -60)
				  {
					  alert("\n SECONDI AZIMUT RILEVATO 1 ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  ho_g = myParseFloat(obj.ho_g.value);
			  if (ho_g >= 90 | ho_g < 0)
				  {
					  alert("\n GRADI ALTEZZA OSSERVATA ERRATI: \n\n DATI VALIDI DA 0 A 89 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  ho_p = myParseFloat(obj.ho_p.value);
			  if (ho_p >= 60 | ho_p <0)
				  {
					  alert("\n PRIMI ALTEZZA OSSERVATA ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  ho_s = myParseFloat(obj.ho_s.value);
			  if (ho_s >= 60 | ho_s <0)
				  {
					  alert("\n SECONDI ALTEZZA OSSERVATA ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  rm_g = myParseFloat(obj.rm_g.value);
			  if (rm_g >= 360 | rm_g <= -360)
				  {
					  alert("\n GRADI REFRAZIONE ERRATI: \n\n DATI VALIDI DA -359 A +359 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  rm_p = myParseFloat(obj.rm_p.value);
			  if (rm_p >= 60 | rm_p <0)
				  {
					  alert("\n PRIMI REFRAZIONE ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  rm_s = myParseFloat(obj.rm_s.value);
			  if (rm_s >= 60 | rm_s <0)
				  {
					  alert("\n SECONDI REFRAZIONE ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  parall_p_p = myParseFloat(obj.parall_p_p.value);
			  if (parall_p_p >= 60 | parall_p_p <0)
				  {
					  alert("\n PRIMI PARALLASSE PIANETA ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  parall_p_s = myParseFloat(obj.parall_p_s.value);
			  if (parall_p_s >= 60 | parall_p_s <0)
				  {
					  alert("\n SECONDI PARALLASSE PIANETA ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  sds_p = myParseFloat(obj.sds_p.value);
			  if (sds_p >= 60 | sds_p <= -60)
				  {
					  alert("\n PRIMI SEMIDIAMETRO SOLE ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  sds_s = myParseFloat(obj.sds_s.value);
			  if (sds_s >= 60 | sds_s <= -60)
				  {
					  alert("\n SECONDI SEMIDIAMETRO SOLE ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  pars_p = myParseFloat(obj.pars_p.value);
			  if (pars_p >= 60 | pars_p <0)
				  {
					  alert("\n PRIMI PARALLASSE SOLE ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  pars_s = myParseFloat(obj.pars_s.value);
			  if (pars_s >= 60 | pars_s <0)
				  {
					  alert("\n SECONDI PARALLASSE SOLE ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  sdl_p = myParseFloat(obj.sdl_p.value);
			  if (sdl_p >= 60 | sdl_p <= -60)
				  {
					  alert("\n PRIMI SEMIDIAMETRO LUNA ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  sdl_s = myParseFloat(obj.sdl_s.value);
			  if (sdl_s >= 60 | sdl_s <= -60)
				  {
					  alert("\n SECONDI SEMIDIAMETRO LUNA ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  parl_g = myParseFloat(obj.parl_g.value);
			  if (parl_g >= 360 | parl_g <= -360)
				  {
					  alert("\n GRADI PARALLASSE LUNA ERRATI: \n\n DATI VALIDI DA -359 A +359 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  parl_p = myParseFloat(obj.parl_p.value);
			  if (parl_p >= 60 | parl_p <0)
				  {
					  alert("\n PRIMI PARALLASSE LUNA ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  parl_s = myParseFloat(obj.parl_s.value);
			  if (pars_s >= 60 | pars_s <0)
				  {
					  alert("\n SECONDI PARALLASSE LUNA ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  iol_g = myParseFloat(obj.iol_g.value);
			  if (iol_g >= 90 | iol_g < 0)
				  {
					  alert("\n GRADI INCLINAZIONE ORBITA LUNA ERRATI: \n\n DATI VALIDI DA 0 A 89 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  iol_p = myParseFloat(obj.iol_p.value);
			  if (iol_p >= 60 | iol_p < 0)
				  {
					  alert("\n PRIMI INCLINAZIONE ORBITA LUNA ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
			  iol_s = myParseFloat(obj.iol_s.value);
			  if (iol_p >= 60 | iol_p < 0)
				  {
					  alert("\n SECONDI INCLINAZIONE ORBITA LUNA ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				  }
  

  
			  // Prepara l'oggetto giorno e mese inferiori a 10 con lo zero davanti al numero per il confronto con il 15821015
			  if (obj.giorno.value < 10) obj.giorno.value = "0"+obj.giorno.value;
			  if (obj.mese.value < 10) obj.mese.value = "0"+obj.mese.value;
	  
			  // unisce anno mese giorno in una stringa 
			  var s = (obj.anno.value+obj.mese.value+obj.giorno.value);
	  
			  // la stringa data unita ritorna numero 
			  s = parseInt(s);  	
	  
			  // calcolo dei giorni e ore decimali
			  var giorno_dec;
			  giorno_dec = (secondi / 3600 + minuti / 60 + ore)/24 + giorno;
			  ore_dec = secondi / 3600 + minuti /60 + ore;
			  ore_dec2 = secondi2 / 3600 + minuti2 /60 + ore2;	
	    
			  // calcolo della posizione in decimali
			  lat_dec = lat_S / 3600 + lat_M /60 + lat_G;
			  long_dec = long_S / 3600 + long_M /60 + long_G;
  
			  // calcolo del Tv e Iv decimali 
			  tv_dec = tv_s / 3600 + tv_p /60 + tv_g;
			  iv_dec = iv_s / 3600 + iv_p /60 + iv_g;
			  
			  // conversione dela v in ° decimali 
			  vd_dec = vd_s / 60;
			  
			  // calcolo del tempo vero del sole a Greenwich 
			  tv1_dec = tv_dec + iv_dec + vd_dec;
  
			  // calcolo del tempo vero del sole locale 
			  tv2_dec = tv1_dec + long_dec; 
			  
			  // se il Tv è maggioredi 360° bisogna lasciarlo andare oltre i 360° perchè quando passa al meridiano calcola l'azimut corretto.  			
			  // if (tv2_dec >=360){tv2_dec = tv2_dec-360;}
			  
			  // calcolo della declinazione in decimali 
			  d_dec = d_s /3600 + d_p / 60 + d_g;
			  
			  // calcolo delle pp in decimali 			
			  delta_pp = pp1_s - pp_s;			
			  pp_inter = delta_pp * secondi / 60 + pp_s;    			
			  pp_dec = pp_inter / 60;
  
			  // calcolo della declinazione del sole 
			  d1_dec = d_dec + pp_dec ;
			  
			  // calcolo ar1 in decimali 
			  ar1_dec = ar1_s /3600 + ar1_p / 60 + ar1_g;
			  
				  
			  // calcolo ho in decimali 
			  ho_dec = ho_s / 3600 + ho_p / 60 + ho_g;
  
			  // calcolo refrazione in decimali 
			  rm_dec = rm_s / 3600 + rm_p / 60 + rm_g;
  
			  // calcolo parallasse pianeti in decimali 
			  parall_p_dec = parall_p_s / 3600 + parall_p_p / 60; 
			  
			  // calcolo semidiametro sole in decimali 
			  sds_dec = sds_s / 3600 + sds_p / 60; 
  
			  // calcolo parallasse sole in decimali 
			  pars_dec = pars_s / 3600; 
  
			  // calcolo semidiametro luna in decimali 
			  sdl_dec = sdl_s / 3600 + sdl_p / 60; 
  
			  // calcolo parallasse luna in decimali 
			  parl_dec = parl_s / 3600 + parl_p / 60 + parl_g; 
			  
			  // calcolo inclinazione orbita luna in decimali 
			  iol_dec = iol_s / 3600 + iol_p / 60 + iol_g; 
								  
			  // return da funzione jd_ore_ut contenuta in jd_ore_ut.js
			  // creazione variabile JD_UT   
			  JD_UT = jd_ore_ut(giorno_dec,mese,anno,s); 
			  
  			  // Scelta della Formula alteza vera 
			  FormulaS = 0;
			  FormulaN = 1;
			  FormulaG = 2;
			
			  if (obj.sceltaf[FormulaS].checked)
			  	  {
					  sceltaf = 0;
				  }
			  if (obj.sceltaf[FormulaN].checked)
				  {
					  sceltaf = 1; 
				  }
			  if (obj.sceltaf[FormulaG].checked)
			 	  {
					  sceltaf = 2;
				  }
			
			  // Scelta dell' Astro
			  Stella = 0;		
			  Pianeta = 1;		
			  Sole = 2; 
			  Luna = 3;
	  
			  if (obj.temp[Stella].checked)
				  {
					  temp = 0;
				  }
			  if (obj.temp[Pianeta].checked)
				  {
					  temp = 1; 
				  }
			  if (obj.temp[Sole].checked)
				  {
					  temp = 2;
				  }
			  if (obj.temp[Luna].checked)
				  {
					  temp = 3;
				  }
	  
			  JD_J2K = 2451545.0;
			  
			  obj.B25.value = calc()[26] + "° " + calc()[27] + "' " + calc()[28].toFixed(0) + "'' ";  // azimut del sole  
			  obj.B26.value = calc()[29] + "° " + calc()[30] + "' " + calc()[31].toFixed(0) + "'' ";  // azimut dell'allineamento misurato 
			  obj.B27.value = calc()[35] + calc()[32] + "° " + calc()[33] + "' " + calc()[34].toFixed(0) + "'' ";  // declinazione sottesa dall'allineamento misurato 
			  obj.B28.value = calc()[39] + calc()[36] + "° " + calc()[37] + "' " + calc()[38].toFixed(0) + "'' ";  // declinazione reciproca sottesa dall' allineamento misurato  
	  
			  // toglie gli zeri al giorno creati con la ripetizione dei calcoli 
			  obj.giorno.value = giorno; 
			  // toglie gli zeri al mese creati con la ripetizione dei calcoli 
			  obj.mese.value = mese;
  
  
	  
		  }
	  else 
		  {
			  alert("Errore hai modificato la firma digitale"); 
		  }
		  
  }
